<template>
  <div>
    <label
      class="checkbox-input-button"
      :class="{'transparent': transparent}"
    >
    <span
      class="checkbox-input-checkbox"
      :class="{checked: isChecked}"
    >
      <input
        :value="inputValue"
        @input="$emit('input', inputValue)"
        type="checkbox"
        :checked="isChecked"
        class="hidden"
      >
      <span class="checkbox-input-icon">

      </span>
    </span>
      <slot>
        <div></div>

      </slot>
    </label>
    <span v-if="errorMessage" class="input-error-msg">
      {{ errorMessage }}
    </span>
  </div>
</template>

<script>

export default {
  name: "CheckboxInput",
  props: {
    value: Array,
    inputValue: {
      type: [String, Boolean, Number],
    },
    transparent: {
      type: Boolean,
      default: false,
    },
    errorMessage: String,
  },
  computed: {
    isChecked() {
      return this.value.includes(this.inputValue)
    }
  }
}
</script>

<style scoped>


</style>
